Bug 1277 - libsmbclient.so should be installed with the executable bit set
libsmbclient.so should be installed with the executable bit set
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.2a
All Linux
: P3 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 10:43 UTC by George J Karabin
Modified: 2005-11-14 09:27 UTC (History)
0 users

See Also:


Attachments
Trivial patch (689 bytes, patch)
2004-04-20 10:44 UTC, George J Karabin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description George J Karabin 2004-04-20 10:43:33 UTC
Fedora Core's 'rpmbuild' requires that the executable bit be set on installed
dynamic shared objects to indicate that the file is to have its debug
information archived for the -debuginfo package. The samba.spec.tmpl uses
permissions 644 - this should be changed to 755.
Comment 1 George J Karabin 2004-04-20 10:44:25 UTC
Created attachment 470 [details]
Trivial patch

Trivial patch to the spec template.
Comment 2 Tim Potter 2004-04-20 16:55:08 UTC
Fixed - thanks!
Comment 3 Gerald (Jerry) Carter 2005-02-07 07:39:47 UTC
originally reported against 3.0.3pre1.  Moving back to version to 3.0.2a
to remove preX and rcX versions.
Comment 4 Gerald (Jerry) Carter 2005-02-07 07:42:09 UTC
originally reported against 3.0.3pre2.  Moving back to version to 3.0.2a
to remove preX and rcX versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:17:27 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:27:34 UTC
database cleanup